summaryrefslogtreecommitdiffstats
path: root/tests/gnu/printf_Y_error.sh
diff options
context:
space:
mode:
authorTavian Barnes <tavianator@tavianator.com>2022-10-19 10:29:05 -0400
committerTavian Barnes <tavianator@tavianator.com>2022-10-19 11:50:03 -0400
commit3b387d81e63893ed3fe3b45e3721fbcfb1c5dde0 (patch)
tree513c32eda43d92a8ed977f394492ba198bba1f3b /tests/gnu/printf_Y_error.sh
parente5972621ffa8864b18d3e303ac714fdbe231be74 (diff)
downloadbfs-3b387d81e63893ed3fe3b45e3721fbcfb1c5dde0.tar.xz
tests: Split test cases into separate files
Diffstat (limited to 'tests/gnu/printf_Y_error.sh')
-rw-r--r--tests/gnu/printf_Y_error.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/tests/gnu/printf_Y_error.sh b/tests/gnu/printf_Y_error.sh
new file mode 100644
index 0000000..933c734
--- /dev/null
+++ b/tests/gnu/printf_Y_error.sh
@@ -0,0 +1,12 @@
+rm -rf scratch/*
+mkdir scratch/foo
+chmod -x scratch/foo
+ln -s foo/bar scratch/bar
+
+bfs_diff scratch -printf '(%p) (%l) %y %Y\n'
+ret=$?
+
+chmod +x scratch/foo
+rm -rf scratch/*
+
+[ $ret -eq $EX_BFS ]